import controlP5.*;
import processing.serial.*;
 
Serial due;
byte[] fsrReading;
 

final int FORCE = 2;
final int NReading = 3;
ControlP5 cp5;

void setup() {
    size (300,300);
    due = new Serial(this,"/dev/cu.usbserial-AJV9MT8Z",115200);
    fsrReading=new byte[NReading];
  }
 
void draw() {
  background(255,255,255); 
  readValues();
  float x = map(getReading(FORCE),0,255,0,200);
  circle(150,150,1);
  circle(150,150,x);
  smooth();
  println(x);
 
}
 
void readValues() {
  while (due.available() >= NReading) {
    due.readBytes(fsrReading);
  }
}
 
int getReading(int reading) {
  return (int)fsrReading[reading] & 0xff;
}
